Name:           p2pool
Version:        17.0
Release:        6%{?dist}
Summary:        Peer-to-peer Bitcoin mining pool

License:        GPLv3
URL:            http://p2pool.in
Source0:        https://github.com/%{name}/%{name}/archive/%{version}.tar.gz
# https://github.com/p2pool/p2pool/pull/356
Patch0:         https://github.com/%{name}/%{name}/commit/8b43949c43c6a9fda7008cd22ee59c50bfadb095.patch

#BuildArch:      noarch
BuildRequires:  python2-devel

Requires:       pyOpenSSL
Requires:       python2-nattraverso
Requires:       python2-twisted
Requires(pre):  shadow-utils

%global mainfile run_%{name}.py

%description
P2Pool is a decentralized Bitcoin mining pool that works by creating a 
peer-to-peer network of miner nodes.

As opposed to usual pools, P2Pool helps to secure Bitcoin against 
double-spending and 51% attacks. P2Pool's initial setup requires a little more 
effort but provides equivalent payouts with a higher variance and no need for 
trust in a pool operator.

%prep
%autosetup -p1

%build
pushd litecoin_scrypt
%{py2_build}

%install
rm -rf %{buildroot}
pushd litecoin_scrypt
%{py2_install}
popd
mkdir -p %{buildroot}/%{python_sitelib}
cp -r %{name} %{buildroot}/%{python_sitelib}
install -D -m 755 %{mainfile} %{buildroot}/%{_sbindir}/%{mainfile}
 
%pre

getent group p2pool >/dev/null || groupadd -r p2pool
getent passwd p2pool >/dev/null || \
    useradd -d /var/lib/p2pool -g p2pool -m -r -s /sbin/nologin \
    -c "p2pool mining pool" p2pool
exit 0

%files
%doc
# For noarch packages: sitelib
%{python_sitelib}/*
%{python_sitearch}/*
%{_sbindir}/%{mainfile}
%ghost %{_sharedstatedir}/%{name}

%changelog
* Tue Nov 21 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-6
- Actually applied the #356 patch

* Mon Nov 20 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-5
- Added patch for https://github.com/p2pool/p2pool/pull/356

* Sun Nov 19 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-4
- Added p2pool user/group

* Sun Nov 19 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-3
- Another deps fix

* Sat Nov 18 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-2
- Fixed a silly error in deps

* Sat Nov 18 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 17.0-1
- Initial package
